#
# spec file for package arpwatch (Version 2.1a13)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libpcap libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt postfix procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           arpwatch
BuildRequires:  libpcap postfix
URL:            http://www-nrg.ee.lbl.gov/nrg.html
License:        Other License(s), see package, FSR
Group:          Productivity/Networking/Diagnostic
Autoreqprov:    on
Requires:       arpwatch-ethercodes
Prereq:         /usr/bin/touch %insserv_prereq %fillup_prereq
Summary:        Arpwatch Keeps Track of Ethernet and IP Address Pairings
Version:        2.1a13
Release:        19.2
Source:         ftp://ftp.ee.lbl.gov/arpwatch-%{version}.tar.bz2
Source10:       arpwatch.init
Source11:       sysconfig.arpwatch
Patch0:         arpwatch-2.1a11.dif
Patch1:         arpwatch-no-source-zero.dif
Patch3:         arpwatch-2.1a11-tokenring.diff
Patch4:         arpwatch-2.1a11-hname-overflow.dif
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Arpwatch keeps track of Ethernet and IP address pairings. It logs
activity to syslog and reports certain changes via e-mail.



Authors:
--------
    Craig Leres <arpwatch@ee.lbl.gov>

%debug_package
%package ethercodes-build
Group:          Productivity/Networking/Diagnostic
Summary:        Tool to create ethercodes.dat from IEEE.org meta data

%description ethercodes-build
Tool and required files to create the ethercodes.dat file from the OUI
and company ID data as provided by IEEE.org.  This package is only
needed if you want to build the arpwatch-ethercodes package.



Authors:
--------
    Craig Leres <arpwatch@ee.lbl.gov>

%prep
%setup -q
%patch -P 0 -E
%patch1 -p1 -E
%patch3 -p1 -E
%patch4 -p1 -E

%build
export CXXFLAGS="$CXXFLAGS -DNDEBUG $RPM_OPT_FLAGS"
./configure \
	--exec_prefix=/usr \
	--prefix=/var/lib \
	--mandir=%{_mandir}
make

%install
mkdir -p \
	$RPM_BUILD_ROOT/etc/init.d \
	$RPM_BUILD_ROOT/%{_sbindir} \
	$RPM_BUILD_ROOT/%{_datadir}/arpwatch \
	$RPM_BUILD_ROOT/%{_mandir}/man8 \
	$RPM_BUILD_ROOT/var/adm/fillup-templates
make DESTDIR=$RPM_BUILD_ROOT install
# ethercodes.dat is in the arpwatch-ethercodes package
rm -f $RPM_BUILD_ROOT/%{_datadir}/arpwatch/ethercodes.dat
for file in massagevendor euppertolower.awk duplicates.awk p.awk missingcodes.txt; do
	cp -p ${file} $RPM_BUILD_ROOT/%{_datadir}/arpwatch
done
make DESTDIR=$RPM_BUILD_ROOT install-man
install -m 0754 $RPM_SOURCE_DIR/arpwatch.init $RPM_BUILD_ROOT/etc/init.d/arpwatch
ln -sf ../../etc/init.d/arpwatch $RPM_BUILD_ROOT/%{_sbindir}/rcarpwatch
cp -p ${RPM_SOURCE_DIR}/sysconfig.arpwatch $RPM_BUILD_ROOT/var/adm/fillup-templates

%preun
%stop_on_removal arpwatch

%post
%fillup_and_insserv
test -f var/lib/arpwatch/arp.dat || touch var/lib/arpwatch/arp.dat

%postun
%restart_on_update arpwatch
%insserv_cleanup

%files
%defattr(-,root,root)
%config /etc/init.d/arpwatch
%{_sbindir}/arpsnmp
%{_sbindir}/arpwatch
%{_sbindir}/rcarpwatch
%dir /var/lib/arpwatch
/var/adm/fillup-templates/sysconfig.arpwatch
%doc %{_mandir}/man8/arpsnmp.8.gz
%doc %{_mandir}/man8/arpwatch.8.gz
%doc CHANGES FILES INSTALL README missingcodes.txt

%files ethercodes-build
%defattr(-,root,root)
%{_datadir}/arpwatch

%changelog -n arpwatch
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Apr 18 2005 - meissner@suse.de
- Use RPM_OPT_FLAGS.
* Fri Nov 12 2004 - lmuelle@suse.de
- Add %%insserv_prereq %%fillup_prereq to prereq.
- Add missing call to %%stop_on_removal (%%preun), %%restart_on_update, and
  %%insserv_cleanup (%%postun).
* Sat Nov 06 2004 - lmuelle@suse.de
- Split off massagevendor script and required files as we only need them at
  build time to create the ethercodes.dat file from the IEEE.org meta data.
* Sat Nov 06 2004 - lmuelle@suse.de
- Add files needed by massagevendor script, [#48005].
* Fri Jun 25 2004 - lmuelle@suse.de
- Update to version 2.1a13.
- Add sysconfig file to allow additional options in the init script.
- Compress source tar ball with bzip2.
- Move IEEE OUI and Company_id file to ethercodes sub package.
* Thu Mar 25 2004 - mmj@suse.de
- Add postfix to # neededforbuild
* Mon Jan 12 2004 - adrian@suse.de
- fix build as user
* Mon Jan 12 2004 - adrian@suse.de
- add %%defattr
* Tue Jul 29 2003 - aj@suse.de
- Fix for chown changes.
* Thu Jun 12 2003 - mmj@suse.de
- Forgot to comment in a line
* Thu Jun 12 2003 - mmj@suse.de
- Use BuildRoot
* Wed Feb 26 2003 - draht@suse.de
- added /usr/sbin/rcarpwatch symlink (#24163)
* Wed Sep 18 2002 - draht@suse.de
- added fileutils to PreReq (#19782)
* Tue Sep 17 2002 - ro@suse.de
- removed bogus self-provides
* Thu Aug 22 2002 - draht@suse.de
- minor buffer overflow with dns query results, fixed by
  arpwatch-2.1a11-hname-overflow.dif (#18149)
* Mon Jul 08 2002 - draht@suse.de
- do not source /etc/rc.config any more.
* Mon Mar 18 2002 - draht@suse.de
- minor correction to ethercodes.dat
* Thu Mar 14 2002 - draht@suse.de
- added init script (bugzilla #12548)
- fix support for token ring interfaces. Thanks to Bjoern Jacke,
  fixes bugzilla #14504.
- update of vendor table (ethercodes.dat)
* Mon Oct 15 2001 - draht@suse.de
- upgrade to version 2.1a11
  syslog(3), but do not send mail for packets from IP 0.0.0.0
* Wed Aug 08 2001 - sgf@suse.de
- removed libpcapn from neededforbuild and added libpcap
* Thu Jan 11 2001 - draht@suse.de
- New version 2.1a10 fixes tmp file race (security).
* Tue Aug 08 2000 - olh@suse.de
- add /usr/share/arpwatch to file list, ethercodes.dat was missing
* Thu Jun 01 2000 - kukuk@suse.de
- Use doc macro
* Fri Feb 18 2000 - dipa@suse.de
- Changed path for manuals to /usr/share/man and /usr/lib/arpwatch
  to /var/lib/arpwatch for arp.dat and /usr/share/arpwatch for
  ethercodes.dat
* Fri Sep 17 1999 - kettner@suse.de
- Reinserted old # Commandline: line.
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Thu Jul 22 1999 - msrex@suse.de
- Fixed postinstall
* Mon Jul 12 1999 - ro@suse.de
- libpcap is an extra package now
* Fri Jun 11 1999 - msrex@suse.de
- Spec file created from arpwatch-2.1a4.tar.gz by autospec
* Fri Jun 11 1999 - msrex@suse.de
- Spec file created from arpwatch-2.1a4.tar.gz by autospec
